Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class GroovyAdditions

    java.lang.Object
      wogroovy.additions.GroovyAdditions

public class GroovyAdditions
extends Object

Constructor Summary
`GroovyAdditions()`

Method Summary
`static NSArray` | `arrayValue(List self)`
`static NSArray` | `arrayValue(Object self)`
`static NSArray` | `arrayValueWithDefault(Object self, NSArray def)`
`static boolean` | `booleanValue(Object self)`
`static boolean` | `booleanValueWithDefault(Object self, boolean def)`
`static NSDictionary` | `dictionaryValue(Map self)`
`static NSDictionary` | `dictionaryValue(Object self)`
`static NSDictionary` | `dictionaryValueWithDefault(Object self, NSDictionary def)`
`static boolean` | `existsFiles(URL self)`
`static int` | `intValue(Object self)`
`static int` | `intValueWithDefault(Object self, int def)`
`static NSArray` | `lastNMonthsArray(int self)`
`static NSArray` | `lastNMonthsAsStringsArray(int self)`
`static String` | `localizedTemplateStringForKey(Object self, String key, String framework, NSArray languages)`
`static NSMutableArray` | `mutableArrayValue(List self)`
`static NSMutableDictionary` | `mutableDictionaryValue(Map self)`
`static NSArray` | `sortOrderings(Map self)`
`static String` | `stackTrace(Throwable self)`
`static NSTimestamp` | `unixDate(Number self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyAdditions

    public GroovyAdditions()

Method Detail

### arrayValue

    public static NSArray arrayValue(List self)

### mutableArrayValue

    public static NSMutableArray mutableArrayValue(List self)

### dictionaryValue

    public static NSDictionary dictionaryValue(Map self)

### mutableDictionaryValue

    public static NSMutableDictionary mutableDictionaryValue(Map self)

### arrayValue

    public static NSArray arrayValue(Object self)

### arrayValueWithDefault

    public static NSArray arrayValueWithDefault(Object self,
                                                NSArray def)

### booleanValue

    public static boolean booleanValue(Object self)

### booleanValueWithDefault

    public static boolean booleanValueWithDefault(Object self,
                                                  boolean def)

### dictionaryValue

    public static NSDictionary dictionaryValue(Object self)

### dictionaryValueWithDefault

    public static NSDictionary dictionaryValueWithDefault(Object self,
                                                          NSDictionary def)

### intValue

    public static int intValue(Object self)

### intValueWithDefault

    public static int intValueWithDefault(Object self,
                                          int def)

### lastNMonthsArray

    public static NSArray lastNMonthsArray(int self)

### lastNMonthsAsStringsArray

    public static NSArray lastNMonthsAsStringsArray(int self)

### unixDate

    public static NSTimestamp unixDate(Number self)

### stackTrace

    public static String stackTrace(Throwable self)

### localizedTemplateStringForKey

    public static String localizedTemplateStringForKey(Object self,
                                                       String key,
                                                       String framework,
                                                       NSArray languages)

### sortOrderings

    public static NSArray sortOrderings(Map self)

### existsFiles

    public static boolean existsFiles(URL self)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD